Microsoft.Build.Framework 2.0.0.0 System.EventArgs

The class is an abstract base class for all event argument classes.

Provides data for the event.

- Constructor

  This implementation of the constructor takes no parameters, and sets the property to and the property to the current thread.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class with the specified , , and values.

  The text of the event.
  The Help keyword associated with the event.
  The source of the event.
  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the Help keyword for the event.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the message for the event.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the name of the raising the event.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets an integer identifier for the thread that raised the event.

  2.0.0.0
- Property
  System.DateTime To be added. To be added.

  Gets the time the event was raised as a .

  2.0.0.0